# Regular heat kernel.

G = graphs.Logo()
g = filters.Heat(G, tau=[5, 10])
print('{} filters'.format(g.Nf))
# 2 filters
y = g.evaluate(G.e)
print('{:.2f}'.format(np.linalg.norm(y[0])))
# 9.76

# Normalized heat kernel.

g = filters.Heat(G, tau=[5, 10], normalize=True)
y = g.evaluate(G.e)
print('{:.2f}'.format(np.linalg.norm(y[0])))
# 1.00

# Filter bank's representation in Fourier and time (ring graph) domains.

import matplotlib.pyplot as plt
G = graphs.Ring(N=20)
G.estimate_lmax()
G.set_coordinates('line1D')
g = filters.Heat(G, tau=[5, 10, 100])
s = g.localize(G.N // 2)
fig, axes = plt.subplots(1, 2)
g.plot(ax=axes[0])
G.plot_signal(s, ax=axes[1])
